summaryrefslogtreecommitdiffstats
path: root/extra/source/bash-completion
diff options
context:
space:
mode:
Diffstat (limited to 'extra/source/bash-completion')
-rwxr-xr-xextra/source/bash-completion/bash-completion.SlackBuild30
-rw-r--r--extra/source/bash-completion/patches/0001-tar-Don-t-write-to-tmp-jetel.patch25
-rw-r--r--extra/source/bash-completion/patches/0002-test-suite-Add-tar-xvf-filename-test-case.patch27
-rw-r--r--extra/source/bash-completion/patches/0003-tar-Fix-GNU-tar-help-output-parsing-regex-fixes-15.patch25
-rw-r--r--extra/source/bash-completion/patches/0004-tar-Remove-unused-variable.patch25
-rw-r--r--extra/source/bash-completion/patches/0005-tar-Detect-GNU-other-from-version-only-once-per-sess.patch46
-rw-r--r--extra/source/bash-completion/patches/0006-Remove-mplayer-aliased-completion.patch22
-rw-r--r--extra/source/bash-completion/slack-desc10
8 files changed, 20 insertions, 190 deletions
diff --git a/extra/source/bash-completion/bash-completion.SlackBuild b/extra/source/bash-completion/bash-completion.SlackBuild
index fd7206aa4..364c10ea6 100755
--- a/extra/source/bash-completion/bash-completion.SlackBuild
+++ b/extra/source/bash-completion/bash-completion.SlackBuild
@@ -22,9 +22,9 @@
# Slackware build script for bash-completion
-VERSION=2.2
+VERSION=2.8
ARCH=noarch
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -34,8 +34,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf bash-completion-$VERSION
-tar xvf $CWD/bash-completion-$VERSION.tar.?z*
-cd bash-completion-$VERSION
+tar xvf $CWD/bash-completion-$VERSION.tar.?z || exit 1
+cd bash-completion-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -43,20 +43,14 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Add some patches from git
+for file in $CWD/patches/*.patch.gz ; do
+ zcat $file | patch -p1 --verbose || exit 1
+done
+
# Fixup sh completion for us
zcat $CWD/fixup-sh-script-completions.diff.gz | patch -p1 --verbose || exit 1
-# Add some patches from git to fix tar filename completion and related
-# https://github.com/scop/bash-completion/issues/15
-zcat $CWD/patches/0001-tar-Don-t-write-to-tmp-jetel.patch.gz | patch -p1 --verbose || exit 1
-zcat $CWD/patches/0002-test-suite-Add-tar-xvf-filename-test-case.patch.gz | patch -p1 --verbose || exit 1
-zcat $CWD/patches/0003-tar-Fix-GNU-tar-help-output-parsing-regex-fixes-15.patch.gz | patch -p1 --verbose || exit 1
-zcat $CWD/patches/0004-tar-Remove-unused-variable.patch.gz | patch -p1 --verbose || exit 1
-zcat $CWD/patches/0005-tar-Detect-GNU-other-from-version-only-once-per-sess.patch.gz | patch -p1 --verbose || exit 1
-
-# Don't symlink mpv -> mplayer as it reportedly doesn't work well. Upstream patch.
-zcat $CWD/patches/0006-Remove-mplayer-aliased-completion.patch.gz | patch -p1 --verbose || exit 1
-
autoreconf -vif
./configure \
@@ -69,6 +63,12 @@ autoreconf -vif
make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't clobber mount and umount completions from util-linux:
+mv $PKG/usr/share/bash-completion/completions/mount \
+ $PKG/usr/share/bash-completion/completions/_mount
+mv $PKG/usr/share/bash-completion/completions/umount \
+ $PKG/usr/share/bash-completion/completions/_umount
+
# Create the local directory for admin changes/additions:
mkdir -p $PKG/etc/bash_completion.d/
diff --git a/extra/source/bash-completion/patches/0001-tar-Don-t-write-to-tmp-jetel.patch b/extra/source/bash-completion/patches/0001-tar-Don-t-write-to-tmp-jetel.patch
deleted file mode 100644
index 82cbeb0dd..000000000
--- a/extra/source/bash-completion/patches/0001-tar-Don-t-write-to-tmp-jetel.patch
+++ /dev/null
@@ -1,25 +0,0 @@
-From 6bdd92202f55d7c530dcbeb2a243604dac546cf1 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Ville=20Skytt=C3=A4?= <ville.skytta@iki.fi>
-Date: Tue, 15 Mar 2016 19:49:55 +0200
-Subject: [PATCH 1/5] tar: Don't write to /tmp/jetel
-
----
- completions/tar | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/completions/tar b/completions/tar
-index ef18ad6..6e4c74c 100644
---- a/completions/tar
-+++ b/completions/tar
-@@ -411,7 +411,7 @@ __tar_try_list_archive()
- shift
-
- read tarball <<<"$(printf -- '%s\n' "$@" \
-- | command sed -n "/^.\{1,\}$regex\$/p" | tee /tmp/jetel)"
-+ | command sed -n "/^.\{1,\}$regex\$/p")"
- if [[ -n "$tarball" ]]; then
- local IFS=$'\n'
- COMPREPLY=($(compgen -o filenames -W "$(
---
-2.7.2
-
diff --git a/extra/source/bash-completion/patches/0002-test-suite-Add-tar-xvf-filename-test-case.patch b/extra/source/bash-completion/patches/0002-test-suite-Add-tar-xvf-filename-test-case.patch
deleted file mode 100644
index 8e6473742..000000000
--- a/extra/source/bash-completion/patches/0002-test-suite-Add-tar-xvf-filename-test-case.patch
+++ /dev/null
@@ -1,27 +0,0 @@
-From 807f903f86ad647425c83f7ad6fc499014c6734e Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Ville=20Skytt=C3=A4?= <ville.skytta@iki.fi>
-Date: Tue, 15 Mar 2016 20:19:10 +0200
-Subject: [PATCH 2/5] test suite: Add tar xvf filename test case
-
----
- test/lib/completions/tar.exp | 4 ++++
- 1 file changed, 4 insertions(+)
-
-diff --git a/test/lib/completions/tar.exp b/test/lib/completions/tar.exp
-index 70e38d0..7cdef94 100644
---- a/test/lib/completions/tar.exp
-+++ b/test/lib/completions/tar.exp
-@@ -59,6 +59,10 @@ set test "old option: create and members"
- assert_complete_dir "dir/ dir2/ archive.tar.xz escape.tar" "tar cTfvv NOT_EXISTS DONT_CREATE.tar " $::srcdir/fixtures/tar
- sync_after_int
-
-+set test "old option: extract and archive"
-+assert_complete_dir "dir/ dir2/ archive.tar.xz escape.tar" "tar xvf " $::srcdir/fixtures/tar
-+sync_after_int
-+
- if { "$tar_version" == "gnu" } {
- set test "check short options"
- assert_complete_any "tar -c"
---
-2.7.2
-
diff --git a/extra/source/bash-completion/patches/0003-tar-Fix-GNU-tar-help-output-parsing-regex-fixes-15.patch b/extra/source/bash-completion/patches/0003-tar-Fix-GNU-tar-help-output-parsing-regex-fixes-15.patch
deleted file mode 100644
index 621ccd125..000000000
--- a/extra/source/bash-completion/patches/0003-tar-Fix-GNU-tar-help-output-parsing-regex-fixes-15.patch
+++ /dev/null
@@ -1,25 +0,0 @@
-From 0b7189d4eee4597e11cab02e6b4dcae488db5ca8 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Ville=20Skytt=C3=A4?= <ville.skytta@iki.fi>
-Date: Wed, 16 Mar 2016 12:28:29 +0200
-Subject: [PATCH 3/5] tar: Fix GNU tar help output parsing regex, fixes #15
-
----
- completions/tar | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/completions/tar b/completions/tar
-index 6e4c74c..0a5f588 100644
---- a/completions/tar
-+++ b/completions/tar
-@@ -105,7 +105,7 @@ __gnu_tar_parse_help()
- # or more options separated by ', ' separator string. We are matching
- # like this then: ^<spaces>(<separator>?<option>)+<whatever>$
- if [[ "$line" =~ \
-- ^[[:blank:]]{1,10}(((,[[:blank:]])?(--?([\]\[a-zA-Z0-9?-=]+))(,[[:space:]])?)+).*$ ]]; then
-+ ^[[:blank:]]{1,10}(((,[[:blank:]])?(--?([\]\[a-zA-Z0-9?=-]+))(,[[:space:]])?)+).*$ ]]; then
-
- line=${BASH_REMATCH[1]}
- str="${line//,/ }"
---
-2.7.2
-
diff --git a/extra/source/bash-completion/patches/0004-tar-Remove-unused-variable.patch b/extra/source/bash-completion/patches/0004-tar-Remove-unused-variable.patch
deleted file mode 100644
index 767d9bc91..000000000
--- a/extra/source/bash-completion/patches/0004-tar-Remove-unused-variable.patch
+++ /dev/null
@@ -1,25 +0,0 @@
-From 7ab05bf9d97ce5a6ced7acdfc21235e06542c3f2 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Ville=20Skytt=C3=A4?= <ville.skytta@iki.fi>
-Date: Wed, 16 Mar 2016 12:39:06 +0200
-Subject: [PATCH 4/5] tar: Remove unused variable
-
----
- completions/tar | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/completions/tar b/completions/tar
-index 0a5f588..9c44dc7 100644
---- a/completions/tar
-+++ b/completions/tar
-@@ -696,7 +696,7 @@ _posix_tar()
-
- _tar()
- {
-- local cmd=${COMP_WORDS[0]} output line
-+ local cmd=${COMP_WORDS[0]} line
- read line <<<"$($cmd --version)"
- case "$line" in
- *GNU*)
---
-2.7.2
-
diff --git a/extra/source/bash-completion/patches/0005-tar-Detect-GNU-other-from-version-only-once-per-sess.patch b/extra/source/bash-completion/patches/0005-tar-Detect-GNU-other-from-version-only-once-per-sess.patch
deleted file mode 100644
index 3e5e06e07..000000000
--- a/extra/source/bash-completion/patches/0005-tar-Detect-GNU-other-from-version-only-once-per-sess.patch
+++ /dev/null
@@ -1,46 +0,0 @@
-From 88c671a2c74bfde3bc2ec7c6f74133ac613c61da Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Ville=20Skytt=C3=A4?= <ville.skytta@iki.fi>
-Date: Wed, 16 Mar 2016 12:44:40 +0200
-Subject: [PATCH 5/5] tar: Detect GNU/other from --version only once per
- session
-
----
- completions/tar | 15 ++++++++++++---
- 1 file changed, 12 insertions(+), 3 deletions(-)
-
-diff --git a/completions/tar b/completions/tar
-index 9c44dc7..7b3a486 100644
---- a/completions/tar
-+++ b/completions/tar
-@@ -696,16 +696,25 @@ _posix_tar()
-
- _tar()
- {
-- local cmd=${COMP_WORDS[0]} line
-+ local cmd=${COMP_WORDS[0]} func line
- read line <<<"$($cmd --version)"
- case "$line" in
- *GNU*)
-- _gtar "$@"
-+ func=_gtar
- ;;
- *)
-- _posix_tar "$@"
-+ func=_posix_tar
- ;;
- esac
-+ $func "$@"
-+
-+ # Install real completion for subsequent completions
-+ if [ -n "${COMP_TAR_INTERNAL_PATHS:-}" ]; then
-+ complete -F $func -o dirnames tar
-+ else
-+ complete -F $func tar
-+ fi
-+ unset -f _tar
- }
-
-
---
-2.7.2
-
diff --git a/extra/source/bash-completion/patches/0006-Remove-mplayer-aliased-completion.patch b/extra/source/bash-completion/patches/0006-Remove-mplayer-aliased-completion.patch
deleted file mode 100644
index 7046f89ec..000000000
--- a/extra/source/bash-completion/patches/0006-Remove-mplayer-aliased-completion.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- ./completions/Makefile.in.orig 2016-03-03 06:12:35.000000000 -0600
-+++ ./completions/Makefile.in 2016-05-31 14:01:42.323415707 -0500
-@@ -1236,7 +1236,7 @@
- rm -f $(targetdir)/$$file && \
- $(LN_S) mcrypt $(targetdir)/$$file ; \
- done
-- for file in mplayer2 mencoder gmplayer kplayer mpv ; do \
-+ for file in mplayer2 mencoder gmplayer kplayer ; do \
- rm -f $(targetdir)/$$file && \
- $(LN_S) mplayer $(targetdir)/$$file ; \
- done
---- ./completions/Makefile.am.orig 2016-03-02 13:42:58.000000000 -0600
-+++ ./completions/Makefile.am 2016-05-31 14:01:33.554416246 -0500
-@@ -802,7 +802,7 @@
- rm -f $(targetdir)/$$file && \
- $(LN_S) mcrypt $(targetdir)/$$file ; \
- done
-- for file in mplayer2 mencoder gmplayer kplayer mpv ; do \
-+ for file in mplayer2 mencoder gmplayer kplayer ; do \
- rm -f $(targetdir)/$$file && \
- $(LN_S) mplayer $(targetdir)/$$file ; \
- done
diff --git a/extra/source/bash-completion/slack-desc b/extra/source/bash-completion/slack-desc
index 8f9e35b7c..73193984e 100644
--- a/extra/source/bash-completion/slack-desc
+++ b/extra/source/bash-completion/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
bash-completion: bash-completion (programmable completion for the bash shell)
bash-completion:
-bash-completion: Adds programmable completion to the bash shell. A new file called
+bash-completion: Adds programmable completion to the bash shell. A new file called
bash-completion: /etc/profile.d/bash_completion.sh will be sourced for interactive
bash-completion: bash shells adding all sorts of enhanced command completion features.
bash-completion: Once installed, you may get a list of all commands that have
bash-completion: associated completions with 'complete -p', and examine the code for
bash-completion: the shell functions with 'declare -f'.
bash-completion:
-bash-completion: Homepage: https://alioth.debian.org/projects/bash-completion/
+bash-completion: Homepage: https://github.com/scop/bash-completion
bash-completion: